"Fossies" - the Fresh Open Source Software Archive

Member "dosfstools-4.2/tests/Makefile.in" (31 Jan 2021, 32982 Bytes) of package /linux/misc/dosfstools-4.2.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 4.1_vs_4.2.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = { \
   18   if test -z '$(MAKELEVEL)'; then \
   19     false; \
   20   elif test -n '$(MAKE_HOST)'; then \
   21     true; \
   22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   23     true; \
   24   else \
   25     false; \
   26   fi; \
   27 }
   28 am__make_running_with_option = \
   29   case $${target_option-} in \
   30       ?) ;; \
   31       *) echo "am__make_running_with_option: internal error: invalid" \
   32               "target option '$${target_option-}' specified" >&2; \
   33          exit 1;; \
   34   esac; \
   35   has_opt=no; \
   36   sane_makeflags=$$MAKEFLAGS; \
   37   if $(am__is_gnu_make); then \
   38     sane_makeflags=$$MFLAGS; \
   39   else \
   40     case $$MAKEFLAGS in \
   41       *\\[\ \	]*) \
   42         bs=\\; \
   43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   45     esac; \
   46   fi; \
   47   skip_next=no; \
   48   strip_trailopt () \
   49   { \
   50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   51   }; \
   52   for flg in $$sane_makeflags; do \
   53     test $$skip_next = yes && { skip_next=no; continue; }; \
   54     case $$flg in \
   55       *=*|--*) continue;; \
   56         -*I) strip_trailopt 'I'; skip_next=yes;; \
   57       -*I?*) strip_trailopt 'I';; \
   58         -*O) strip_trailopt 'O'; skip_next=yes;; \
   59       -*O?*) strip_trailopt 'O';; \
   60         -*l) strip_trailopt 'l'; skip_next=yes;; \
   61       -*l?*) strip_trailopt 'l';; \
   62       -[dEDm]) skip_next=yes;; \
   63       -[JT]) skip_next=yes;; \
   64     esac; \
   65     case $$flg in \
   66       *$$target_option*) has_opt=yes; break;; \
   67     esac; \
   68   done; \
   69   test $$has_opt = yes
   70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   72 pkgdatadir = $(datadir)/@PACKAGE@
   73 pkgincludedir = $(includedir)/@PACKAGE@
   74 pkglibdir = $(libdir)/@PACKAGE@
   75 pkglibexecdir = $(libexecdir)/@PACKAGE@
   76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   77 install_sh_DATA = $(install_sh) -c -m 644
   78 install_sh_PROGRAM = $(install_sh) -c
   79 install_sh_SCRIPT = $(install_sh) -c
   80 INSTALL_HEADER = $(INSTALL_DATA)
   81 transform = $(program_transform_name)
   82 NORMAL_INSTALL = :
   83 PRE_INSTALL = :
   84 POST_INSTALL = :
   85 NORMAL_UNINSTALL = :
   86 PRE_UNINSTALL = :
   87 POST_UNINSTALL = :
   88 build_triplet = @build@
   89 host_triplet = @host@
   90 subdir = tests
   91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   92 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   94 	$(ACLOCAL_M4)
   95 DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_DATA) \
   96 	$(am__DIST_COMMON)
   97 mkinstalldirs = $(install_sh) -d
   98 CONFIG_CLEAN_FILES =
   99 CONFIG_CLEAN_VPATH_FILES =
  100 AM_V_P = $(am__v_P_@AM_V@)
  101 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  102 am__v_P_0 = false
  103 am__v_P_1 = :
  104 AM_V_GEN = $(am__v_GEN_@AM_V@)
  105 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  106 am__v_GEN_0 = @echo "  GEN     " $@;
  107 am__v_GEN_1 = 
  108 AM_V_at = $(am__v_at_@AM_V@)
  109 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  110 am__v_at_0 = @
  111 am__v_at_1 = 
  112 SOURCES =
  113 DIST_SOURCES =
  114 am__can_run_installinfo = \
  115   case $$AM_UPDATE_INFO_DIR in \
  116     n|no|NO) false;; \
  117     *) (install-info --version) >/dev/null 2>&1;; \
  118   esac
  119 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  120 am__tty_colors_dummy = \
  121   mgn= red= grn= lgn= blu= brg= std=; \
  122   am__color_tests=no
  123 am__tty_colors = { \
  124   $(am__tty_colors_dummy); \
  125   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  126     am__color_tests=no; \
  127   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  128     am__color_tests=yes; \
  129   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  130     am__color_tests=yes; \
  131   fi; \
  132   if test $$am__color_tests = yes; then \
  133     red=''; \
  134     grn=''; \
  135     lgn=''; \
  136     blu=''; \
  137     mgn=''; \
  138     brg=''; \
  139     std=''; \
  140   fi; \
  141 }
  142 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  143 am__vpath_adj = case $$p in \
  144     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  145     *) f=$$p;; \
  146   esac;
  147 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  148 am__install_max = 40
  149 am__nobase_strip_setup = \
  150   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  151 am__nobase_strip = \
  152   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  153 am__nobase_list = $(am__nobase_strip_setup); \
  154   for p in $$list; do echo "$$p $$p"; done | \
  155   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  156   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  157     if (++n[$$2] == $(am__install_max)) \
  158       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  159     END { for (dir in files) print dir, files[dir] }'
  160 am__base_list = \
  161   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  162   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  163 am__uninstall_files_from_dir = { \
  164   test -z "$$files" \
  165     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  166     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  167          $(am__cd) "$$dir" && rm -f $$files; }; \
  168   }
  169 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  170 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  171 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  172 # A command that, given a newline-separated list of test names on the
  173 # standard input, print the name of the tests that are to be re-run
  174 # upon "make recheck".
  175 am__list_recheck_tests = $(AWK) '{ \
  176   recheck = 1; \
  177   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  178     { \
  179       if (rc < 0) \
  180         { \
  181           if ((getline line2 < ($$0 ".log")) < 0) \
  182 	    recheck = 0; \
  183           break; \
  184         } \
  185       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  186         { \
  187           recheck = 0; \
  188           break; \
  189         } \
  190       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  191         { \
  192           break; \
  193         } \
  194     }; \
  195   if (recheck) \
  196     print $$0; \
  197   close ($$0 ".trs"); \
  198   close ($$0 ".log"); \
  199 }'
  200 # A command that, given a newline-separated list of test names on the
  201 # standard input, create the global log from their .trs and .log files.
  202 am__create_global_log = $(AWK) ' \
  203 function fatal(msg) \
  204 { \
  205   print "fatal: making $@: " msg | "cat >&2"; \
  206   exit 1; \
  207 } \
  208 function rst_section(header) \
  209 { \
  210   print header; \
  211   len = length(header); \
  212   for (i = 1; i <= len; i = i + 1) \
  213     printf "="; \
  214   printf "\n\n"; \
  215 } \
  216 { \
  217   copy_in_global_log = 1; \
  218   global_test_result = "RUN"; \
  219   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  220     { \
  221       if (rc < 0) \
  222          fatal("failed to read from " $$0 ".trs"); \
  223       if (line ~ /$(am__global_test_result_rx)/) \
  224         { \
  225           sub("$(am__global_test_result_rx)", "", line); \
  226           sub("[ 	]*$$", "", line); \
  227           global_test_result = line; \
  228         } \
  229       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  230         copy_in_global_log = 0; \
  231     }; \
  232   if (copy_in_global_log) \
  233     { \
  234       rst_section(global_test_result ": " $$0); \
  235       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  236       { \
  237         if (rc < 0) \
  238           fatal("failed to read from " $$0 ".log"); \
  239         print line; \
  240       }; \
  241       printf "\n"; \
  242     }; \
  243   close ($$0 ".trs"); \
  244   close ($$0 ".log"); \
  245 }'
  246 # Restructured Text title.
  247 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  248 # Solaris 10 'make', and several other traditional 'make' implementations,
  249 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  250 # by disabling -e (using the XSI extension "set +e") if it's set.
  251 am__sh_e_setup = case $$- in *e*) set +e;; esac
  252 # Default flags passed to test drivers.
  253 am__common_driver_flags = \
  254   --color-tests "$$am__color_tests" \
  255   --enable-hard-errors "$$am__enable_hard_errors" \
  256   --expect-failure "$$am__expect_failure"
  257 # To be inserted before the command running the test.  Creates the
  258 # directory for the log if needed.  Stores in $dir the directory
  259 # containing $f, in $tst the test, in $log the log.  Executes the
  260 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  261 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  262 # will run the test scripts (or their associated LOG_COMPILER, if
  263 # thy have one).
  264 am__check_pre = \
  265 $(am__sh_e_setup);					\
  266 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  267 $(am__tty_colors);					\
  268 srcdir=$(srcdir); export srcdir;			\
  269 case "$@" in						\
  270   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  271     *) am__odir=.;; 					\
  272 esac;							\
  273 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  274   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  275 if test -f "./$$f"; then dir=./;			\
  276 elif test -f "$$f"; then dir=;				\
  277 else dir="$(srcdir)/"; fi;				\
  278 tst=$$dir$$f; log='$@'; 				\
  279 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  280   am__enable_hard_errors=no; 				\
  281 else							\
  282   am__enable_hard_errors=yes; 				\
  283 fi; 							\
  284 case " $(XFAIL_TESTS) " in				\
  285   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  286     am__expect_failure=yes;;				\
  287   *)							\
  288     am__expect_failure=no;;				\
  289 esac; 							\
  290 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  291 # A shell command to get the names of the tests scripts with any registered
  292 # extension removed (i.e., equivalently, the names of the test logs, with
  293 # the '.log' extension removed).  The result is saved in the shell variable
  294 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  295 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  296 # since that might cause problem with VPATH rewrites for suffix-less tests.
  297 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  298 am__set_TESTS_bases = \
  299   bases='$(TEST_LOGS)'; \
  300   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  301   bases=`echo $$bases`
  302 RECHECK_LOGS = $(TEST_LOGS)
  303 AM_RECURSIVE_TARGETS = check recheck
  304 TEST_SUITE_LOG = test-suite.log
  305 am__test_logs1 = $(TESTS:=.log)
  306 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  307 am__test_logs3 = $(am__test_logs2:.mkfs.log=.log)
  308 MKFS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  309 MKFS_LOG_COMPILE = $(MKFS_LOG_COMPILER) $(AM_MKFS_LOG_FLAGS) \
  310 	$(MKFS_LOG_FLAGS)
  311 am__set_b = \
  312   case '$@' in \
  313     */*) \
  314       case '$*' in \
  315         */*) b='$*';; \
  316           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  317        esac;; \
  318     *) \
  319       b='$*';; \
  320   esac
  321 am__test_logs4 = $(am__test_logs3:.fsck.log=.log)
  322 FSCK_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  323 FSCK_LOG_COMPILE = $(FSCK_LOG_COMPILER) $(AM_FSCK_LOG_FLAGS) \
  324 	$(FSCK_LOG_FLAGS)
  325 TEST_LOGS = $(am__test_logs4:.label.log=.log)
  326 LABEL_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  327 LABEL_LOG_COMPILE = $(LABEL_LOG_COMPILER) $(AM_LABEL_LOG_FLAGS) \
  328 	$(LABEL_LOG_FLAGS)
  329 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
  330 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  331 ACLOCAL = @ACLOCAL@
  332 AMTAR = @AMTAR@
  333 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  334 AUTOCONF = @AUTOCONF@
  335 AUTOHEADER = @AUTOHEADER@
  336 AUTOMAKE = @AUTOMAKE@
  337 AWK = @AWK@
  338 CC = @CC@
  339 CCDEPMODE = @CCDEPMODE@
  340 CFLAGS = @CFLAGS@
  341 CHECKATARI = @CHECKATARI@
  342 CPP = @CPP@
  343 CPPFLAGS = @CPPFLAGS@
  344 CYGPATH_W = @CYGPATH_W@
  345 DEFS = @DEFS@
  346 DEPDIR = @DEPDIR@
  347 ECHO_C = @ECHO_C@
  348 ECHO_N = @ECHO_N@
  349 ECHO_T = @ECHO_T@
  350 EGREP = @EGREP@
  351 EXEEXT = @EXEEXT@
  352 GREP = @GREP@
  353 INSTALL = @INSTALL@
  354 INSTALL_DATA = @INSTALL_DATA@
  355 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  356 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  357 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  358 LDFLAGS = @LDFLAGS@
  359 LIBICONV = @LIBICONV@
  360 LIBOBJS = @LIBOBJS@
  361 LIBS = @LIBS@
  362 LN_S = @LN_S@
  363 LTLIBICONV = @LTLIBICONV@
  364 LTLIBOBJS = @LTLIBOBJS@
  365 MAKEINFO = @MAKEINFO@
  366 MKDIR_P = @MKDIR_P@
  367 OBJEXT = @OBJEXT@
  368 PACKAGE = @PACKAGE@
  369 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  370 PACKAGE_NAME = @PACKAGE_NAME@
  371 PACKAGE_STRING = @PACKAGE_STRING@
  372 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  373 PACKAGE_URL = @PACKAGE_URL@
  374 PACKAGE_VERSION = @PACKAGE_VERSION@
  375 PATH_SEPARATOR = @PATH_SEPARATOR@
  376 RELEASE_DATE = @RELEASE_DATE@
  377 SET_MAKE = @SET_MAKE@
  378 SHELL = @SHELL@
  379 STRIP = @STRIP@
  380 VERSION = @VERSION@
  381 XXD_FOUND = @XXD_FOUND@
  382 abs_builddir = @abs_builddir@
  383 abs_srcdir = @abs_srcdir@
  384 abs_top_builddir = @abs_top_builddir@
  385 abs_top_srcdir = @abs_top_srcdir@
  386 ac_ct_CC = @ac_ct_CC@
  387 am__include = @am__include@
  388 am__leading_dot = @am__leading_dot@
  389 am__quote = @am__quote@
  390 am__tar = @am__tar@
  391 am__untar = @am__untar@
  392 bindir = @bindir@
  393 build = @build@
  394 build_alias = @build_alias@
  395 build_cpu = @build_cpu@
  396 build_os = @build_os@
  397 build_vendor = @build_vendor@
  398 builddir = @builddir@
  399 datadir = @datadir@
  400 datarootdir = @datarootdir@
  401 docdir = @docdir@
  402 dvidir = @dvidir@
  403 exec_prefix = @exec_prefix@
  404 host = @host@
  405 host_alias = @host_alias@
  406 host_cpu = @host_cpu@
  407 host_os = @host_os@
  408 host_vendor = @host_vendor@
  409 htmldir = @htmldir@
  410 includedir = @includedir@
  411 infodir = @infodir@
  412 install_sh = @install_sh@
  413 libdir = @libdir@
  414 libexecdir = @libexecdir@
  415 localedir = @localedir@
  416 localstatedir = @localstatedir@
  417 mandir = @mandir@
  418 mkdir_p = @mkdir_p@
  419 oldincludedir = @oldincludedir@
  420 pdfdir = @pdfdir@
  421 prefix = @prefix@
  422 program_transform_name = @program_transform_name@
  423 psdir = @psdir@
  424 runstatedir = @runstatedir@
  425 sbindir = @sbindir@
  426 sharedstatedir = @sharedstatedir@
  427 srcdir = @srcdir@
  428 sysconfdir = @sysconfdir@
  429 target_alias = @target_alias@
  430 top_build_prefix = @top_build_prefix@
  431 top_builddir = @top_builddir@
  432 top_srcdir = @top_srcdir@
  433 AM_TESTS_ENVIRONMENT = XXD_FOUND=@XXD_FOUND@; export XXD_FOUND;
  434 @AUTOMAKE_TEST_COMPAT_TRUE@TESTS_ENVIRONMENT = $(AM_TESTS_ENVIRONMENT)
  435 TESTS = referenceFAT12.mkfs              \
  436 	referenceFAT16.mkfs              \
  437 	referenceFAT32.mkfs              \
  438 	referenceFAT32mbr.mkfs           \
  439 	mkfs-fat32_2_res_sects.mkfs      \
  440 	mkfs-fat32_4K.mkfs               \
  441 	check-bad_names.fsck             \
  442 	check-fat12_first_cluster.fsck   \
  443 	check-fat16_first_cluster.fsck   \
  444 	check-fat32_first_cluster.fsck   \
  445 	check-fat16_dos_cln_shut.fsck    \
  446 	check-fat32_dos_cln_shut.fsck    \
  447 	check-chain_to_free_cluster.fsck \
  448 	check-chain_too_long.fsck        \
  449 	check-chain_to_other_file.fsck   \
  450 	check-circular_chain.fsck        \
  451 	check-duplicate_names.fsck       \
  452 	check-dot_entries.fsck           \
  453 	check-huge.fsck                  \
  454 	check-label-different.fsck       \
  455 	check-label-only-boot.fsck       \
  456 	check-label-only-root.fsck       \
  457 	label-fat32_mkdosfs_label1_dosfslabel_empty.label          \
  458 	label-fat32_mkdosfs_label1_dosfslabel_label2.label         \
  459 	label-fat32_mkdosfs_label1_dosfslabel_NO_NAME.label        \
  460 	label-fat32_mkdosfs_label1_mlabel_erase.label              \
  461 	label-fat32_mkdosfs_label1_mlabel_NO_NAME.label            \
  462 	label-fat32_mkdosfs_label1_xp_erase.label                  \
  463 	label-fat32_mkdosfs_label1_xp_label2.label                 \
  464 	label-fat32_mkdosfs_label1.label                           \
  465 	label-fat32_mkdosfs_none_dosfslabel_label1_xp_label2.label \
  466 	label-fat32_mkdosfs_none_dosfslabel_label1.label           \
  467 	label-fat32_mkdosfs_none_dosfslabel_NO_NAME.label          \
  468 	label-fat32_mkdosfs_none_xp_label1_dosfslabel_label2.label \
  469 	label-fat32_mkdosfs_none_xp_label1.label                   \
  470 	label-fat32_mkdosfs_none.label                             \
  471 	label-fat32_xp_label1.label                                \
  472 	label-fat32_xp_none_dosfslabel_label1.label                \
  473 	label-fat32_xp_none_mlabel_label1.label                    \
  474 	label-fat32_xp_none.label
  475 
  476 XFAIL_TESTS = check-huge.fsck
  477 TEST_EXTENSIONS = .mkfs .fsck .label
  478 MKFS_LOG_COMPILER = $(srcdir)/test-mkfs
  479 FSCK_LOG_COMPILER = $(srcdir)/test-fsck
  480 LABEL_LOG_COMPILER = $(srcdir)/test-label
  481 dist_check_DATA = test-mkfs test-fsck test-label   \
  482 		  referenceFAT12.mkfs              \
  483 		  referenceFAT12.xxd               \
  484 		  referenceFAT16.mkfs              \
  485 		  referenceFAT16.xxd               \
  486 		  referenceFAT32.mkfs              \
  487 		  referenceFAT32.xxd               \
  488 		  referenceFAT32mbr.mkfs           \
  489 		  referenceFAT32mbr.xxd            \
  490 		  mkfs-fat32_2_res_sects.mkfs      \
  491 		  mkfs-fat32_2_res_sects.xxd       \
  492 		  mkfs-fat32_4K.mkfs               \
  493 		  mkfs-fat32_4K.xxd                \
  494 		  check-bad_names.fsck             \
  495 		  check-bad_names.xxd              \
  496 		  check-fat12_first_cluster.fsck   \
  497 		  check-fat12_first_cluster.args   \
  498 		  check-fat12_first_cluster.xxd    \
  499 		  check-fat16_first_cluster.fsck   \
  500 		  check-fat16_first_cluster.args   \
  501 		  check-fat16_first_cluster.xxd    \
  502 		  check-fat32_first_cluster.fsck   \
  503 		  check-fat32_first_cluster.args   \
  504 		  check-fat32_first_cluster.xxd    \
  505 		  check-fat16_dos_cln_shut.fsck    \
  506 		  check-fat16_dos_cln_shut.xxd     \
  507 		  check-fat32_dos_cln_shut.fsck    \
  508 		  check-fat32_dos_cln_shut.xxd     \
  509 		  check-chain_to_free_cluster.fsck \
  510 		  check-chain_to_free_cluster.xxd  \
  511 		  check-chain_too_long.fsck        \
  512 		  check-chain_too_long.xxd         \
  513 		  check-chain_to_other_file.fsck   \
  514 		  check-chain_to_other_file.xxd    \
  515 		  check-circular_chain.fsck        \
  516 		  check-circular_chain.xxd         \
  517 		  check-duplicate_names.fsck       \
  518 		  check-duplicate_names.xxd        \
  519 		  check-dot_entries.fsck           \
  520 		  check-dot_entries.xxd            \
  521 		  check-huge.fsck                  \
  522 		  check-label-different.fsck       \
  523 		  check-label-different.xxd        \
  524 		  check-label-only-boot.fsck       \
  525 		  check-label-only-boot.xxd        \
  526 		  check-label-only-root.fsck       \
  527 		  check-label-only-root.xxd        \
  528 		  label-fat32_mkdosfs_label1_dosfslabel_empty.label          \
  529 		  label-fat32_mkdosfs_label1_dosfslabel_empty.xxd            \
  530 		  label-fat32_mkdosfs_label1_dosfslabel_label2.label         \
  531 		  label-fat32_mkdosfs_label1_dosfslabel_label2.xxd           \
  532 		  label-fat32_mkdosfs_label1_dosfslabel_NO_NAME.label        \
  533 		  label-fat32_mkdosfs_label1_dosfslabel_NO_NAME.xxd          \
  534 		  label-fat32_mkdosfs_label1_mlabel_erase.label              \
  535 		  label-fat32_mkdosfs_label1_mlabel_erase.xxd                \
  536 		  label-fat32_mkdosfs_label1_mlabel_NO_NAME.label            \
  537 		  label-fat32_mkdosfs_label1_mlabel_NO_NAME.xxd              \
  538 		  label-fat32_mkdosfs_label1_xp_erase.label                  \
  539 		  label-fat32_mkdosfs_label1_xp_erase.xxd                    \
  540 		  label-fat32_mkdosfs_label1_xp_label2.label                 \
  541 		  label-fat32_mkdosfs_label1_xp_label2.xxd                   \
  542 		  label-fat32_mkdosfs_label1.label                           \
  543 		  label-fat32_mkdosfs_label1.xxd                             \
  544 		  label-fat32_mkdosfs_none_dosfslabel_label1_xp_label2.label \
  545 		  label-fat32_mkdosfs_none_dosfslabel_label1_xp_label2.xxd   \
  546 		  label-fat32_mkdosfs_none_dosfslabel_label1.label           \
  547 		  label-fat32_mkdosfs_none_dosfslabel_label1.xxd             \
  548 		  label-fat32_mkdosfs_none_dosfslabel_NO_NAME.label          \
  549 		  label-fat32_mkdosfs_none_dosfslabel_NO_NAME.xxd            \
  550 		  label-fat32_mkdosfs_none_xp_label1_dosfslabel_label2.label \
  551 		  label-fat32_mkdosfs_none_xp_label1_dosfslabel_label2.xxd   \
  552 		  label-fat32_mkdosfs_none_xp_label1.label                   \
  553 		  label-fat32_mkdosfs_none_xp_label1.xxd                     \
  554 		  label-fat32_mkdosfs_none.label                             \
  555 		  label-fat32_mkdosfs_none.xxd                               \
  556 		  label-fat32_xp_label1.label                                \
  557 		  label-fat32_xp_label1.xxd                                  \
  558 		  label-fat32_xp_none_dosfslabel_label1.label                \
  559 		  label-fat32_xp_none_dosfslabel_label1.xxd                  \
  560 		  label-fat32_xp_none_mlabel_label1.label                    \
  561 		  label-fat32_xp_none_mlabel_label1.xxd                      \
  562 		  label-fat32_xp_none.label                                  \
  563 		  label-fat32_xp_none.xxd
  564 
  565 all: all-am
  566 
  567 .SUFFIXES:
  568 .SUFFIXES: .fsck .fsck$(EXEEXT) .label .label$(EXEEXT) .log .mkfs .mkfs$(EXEEXT) .trs
  569 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  570 	@for dep in $?; do \
  571 	  case '$(am__configure_deps)' in \
  572 	    *$$dep*) \
  573 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  574 	        && { if test -f $@; then exit 0; else break; fi; }; \
  575 	      exit 1;; \
  576 	  esac; \
  577 	done; \
  578 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
  579 	$(am__cd) $(top_srcdir) && \
  580 	  $(AUTOMAKE) --foreign tests/Makefile
  581 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  582 	@case '$?' in \
  583 	  *config.status*) \
  584 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  585 	  *) \
  586 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  587 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  588 	esac;
  589 
  590 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  591 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  592 
  593 $(top_srcdir)/configure:  $(am__configure_deps)
  594 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  595 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  596 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  597 $(am__aclocal_m4_deps):
  598 tags TAGS:
  599 
  600 ctags CTAGS:
  601 
  602 cscope cscopelist:
  603 
  604 
  605 # Recover from deleted '.trs' file; this should ensure that
  606 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  607 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  608 # to avoid problems with "make -n".
  609 .log.trs:
  610 	rm -f $< $@
  611 	$(MAKE) $(AM_MAKEFLAGS) $<
  612 
  613 # Leading 'am--fnord' is there to ensure the list of targets does not
  614 # expand to empty, as could happen e.g. with make check TESTS=''.
  615 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  616 am--force-recheck:
  617 	@:
  618 
  619 $(TEST_SUITE_LOG): $(TEST_LOGS)
  620 	@$(am__set_TESTS_bases); \
  621 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  622 	redo_bases=`for i in $$bases; do \
  623 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  624 	            done`; \
  625 	if test -n "$$redo_bases"; then \
  626 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  627 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  628 	  if $(am__make_dryrun); then :; else \
  629 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  630 	  fi; \
  631 	fi; \
  632 	if test -n "$$am__remaking_logs"; then \
  633 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  634 	       "recursion detected" >&2; \
  635 	elif test -n "$$redo_logs"; then \
  636 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  637 	fi; \
  638 	if $(am__make_dryrun); then :; else \
  639 	  st=0;  \
  640 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  641 	  for i in $$redo_bases; do \
  642 	    test -f $$i.trs && test -r $$i.trs \
  643 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  644 	    test -f $$i.log && test -r $$i.log \
  645 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  646 	  done; \
  647 	  test $$st -eq 0 || exit 1; \
  648 	fi
  649 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  650 	ws='[ 	]'; \
  651 	results=`for b in $$bases; do echo $$b.trs; done`; \
  652 	test -n "$$results" || results=/dev/null; \
  653 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  654 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  655 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  656 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  657 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  658 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  659 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  660 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  661 	  success=true; \
  662 	else \
  663 	  success=false; \
  664 	fi; \
  665 	br='==================='; br=$$br$$br$$br$$br; \
  666 	result_count () \
  667 	{ \
  668 	    if test x"$$1" = x"--maybe-color"; then \
  669 	      maybe_colorize=yes; \
  670 	    elif test x"$$1" = x"--no-color"; then \
  671 	      maybe_colorize=no; \
  672 	    else \
  673 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  674 	    fi; \
  675 	    shift; \
  676 	    desc=$$1 count=$$2; \
  677 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  678 	      color_start=$$3 color_end=$$std; \
  679 	    else \
  680 	      color_start= color_end=; \
  681 	    fi; \
  682 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  683 	}; \
  684 	create_testsuite_report () \
  685 	{ \
  686 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  687 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  688 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  689 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  690 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  691 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  692 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  693 	}; \
  694 	{								\
  695 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  696 	    $(am__rst_title);						\
  697 	  create_testsuite_report --no-color;				\
  698 	  echo;								\
  699 	  echo ".. contents:: :depth: 2";				\
  700 	  echo;								\
  701 	  for b in $$bases; do echo $$b; done				\
  702 	    | $(am__create_global_log);					\
  703 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  704 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  705 	if $$success; then						\
  706 	  col="$$grn";							\
  707 	 else								\
  708 	  col="$$red";							\
  709 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  710 	fi;								\
  711 	echo "$${col}$$br$${std}"; 					\
  712 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  713 	echo "$${col}$$br$${std}"; 					\
  714 	create_testsuite_report --maybe-color;				\
  715 	echo "$$col$$br$$std";						\
  716 	if $$success; then :; else					\
  717 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  718 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  719 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  720 	  fi;								\
  721 	  echo "$$col$$br$$std";					\
  722 	fi;								\
  723 	$$success || exit 1
  724 
  725 check-TESTS: $(dist_check_DATA)
  726 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  727 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  728 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  729 	@set +e; $(am__set_TESTS_bases); \
  730 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  731 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  732 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  733 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  734 	exit $$?;
  735 recheck: all $(dist_check_DATA)
  736 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  737 	@set +e; $(am__set_TESTS_bases); \
  738 	bases=`for i in $$bases; do echo $$i; done \
  739 	         | $(am__list_recheck_tests)` || exit 1; \
  740 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  741 	log_list=`echo $$log_list`; \
  742 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  743 	        am__force_recheck=am--force-recheck \
  744 	        TEST_LOGS="$$log_list"; \
  745 	exit $$?
  746 .mkfs.log:
  747 	@p='$<'; \
  748 	$(am__set_b); \
  749 	$(am__check_pre) $(MKFS_LOG_DRIVER) --test-name "$$f" \
  750 	--log-file $$b.log --trs-file $$b.trs \
  751 	$(am__common_driver_flags) $(AM_MKFS_LOG_DRIVER_FLAGS) $(MKFS_LOG_DRIVER_FLAGS) -- $(MKFS_LOG_COMPILE) \
  752 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  753 @am__EXEEXT_TRUE@.mkfs$(EXEEXT).log:
  754 @am__EXEEXT_TRUE@	@p='$<'; \
  755 @am__EXEEXT_TRUE@	$(am__set_b); \
  756 @am__EXEEXT_TRUE@	$(am__check_pre) $(MKFS_LOG_DRIVER) --test-name "$$f" \
  757 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  758 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_MKFS_LOG_DRIVER_FLAGS) $(MKFS_LOG_DRIVER_FLAGS) -- $(MKFS_LOG_COMPILE) \
  759 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  760 .fsck.log:
  761 	@p='$<'; \
  762 	$(am__set_b); \
  763 	$(am__check_pre) $(FSCK_LOG_DRIVER) --test-name "$$f" \
  764 	--log-file $$b.log --trs-file $$b.trs \
  765 	$(am__common_driver_flags) $(AM_FSCK_LOG_DRIVER_FLAGS) $(FSCK_LOG_DRIVER_FLAGS) -- $(FSCK_LOG_COMPILE) \
  766 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  767 @am__EXEEXT_TRUE@.fsck$(EXEEXT).log:
  768 @am__EXEEXT_TRUE@	@p='$<'; \
  769 @am__EXEEXT_TRUE@	$(am__set_b); \
  770 @am__EXEEXT_TRUE@	$(am__check_pre) $(FSCK_LOG_DRIVER) --test-name "$$f" \
  771 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  772 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_FSCK_LOG_DRIVER_FLAGS) $(FSCK_LOG_DRIVER_FLAGS) -- $(FSCK_LOG_COMPILE) \
  773 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  774 .label.log:
  775 	@p='$<'; \
  776 	$(am__set_b); \
  777 	$(am__check_pre) $(LABEL_LOG_DRIVER) --test-name "$$f" \
  778 	--log-file $$b.log --trs-file $$b.trs \
  779 	$(am__common_driver_flags) $(AM_LABEL_LOG_DRIVER_FLAGS) $(LABEL_LOG_DRIVER_FLAGS) -- $(LABEL_LOG_COMPILE) \
  780 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  781 @am__EXEEXT_TRUE@.label$(EXEEXT).log:
  782 @am__EXEEXT_TRUE@	@p='$<'; \
  783 @am__EXEEXT_TRUE@	$(am__set_b); \
  784 @am__EXEEXT_TRUE@	$(am__check_pre) $(LABEL_LOG_DRIVER) --test-name "$$f" \
  785 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  786 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_LABEL_LOG_DRIVER_FLAGS) $(LABEL_LOG_DRIVER_FLAGS) -- $(LABEL_LOG_COMPILE) \
  787 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  788 
  789 distdir: $(BUILT_SOURCES)
  790 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  791 
  792 distdir-am: $(DISTFILES)
  793 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  794 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  795 	list='$(DISTFILES)'; \
  796 	  dist_files=`for file in $$list; do echo $$file; done | \
  797 	  sed -e "s|^$$srcdirstrip/||;t" \
  798 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  799 	case $$dist_files in \
  800 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  801 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  802 			   sort -u` ;; \
  803 	esac; \
  804 	for file in $$dist_files; do \
  805 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  806 	  if test -d $$d/$$file; then \
  807 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  808 	    if test -d "$(distdir)/$$file"; then \
  809 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  810 	    fi; \
  811 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  812 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  813 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  814 	    fi; \
  815 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  816 	  else \
  817 	    test -f "$(distdir)/$$file" \
  818 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  819 	    || exit 1; \
  820 	  fi; \
  821 	done
  822 check-am: all-am
  823 	$(MAKE) $(AM_MAKEFLAGS) $(dist_check_DATA)
  824 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  825 check: check-am
  826 all-am: Makefile
  827 installdirs:
  828 install: install-am
  829 install-exec: install-exec-am
  830 install-data: install-data-am
  831 uninstall: uninstall-am
  832 
  833 install-am: all-am
  834 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  835 
  836 installcheck: installcheck-am
  837 install-strip:
  838 	if test -z '$(STRIP)'; then \
  839 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  840 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  841 	      install; \
  842 	else \
  843 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  844 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  845 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  846 	fi
  847 mostlyclean-generic:
  848 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  849 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  850 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  851 
  852 clean-generic:
  853 
  854 distclean-generic:
  855 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  856 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  857 
  858 maintainer-clean-generic:
  859 	@echo "This command is intended for maintainers to use"
  860 	@echo "it deletes files that may require special tools to rebuild."
  861 clean: clean-am
  862 
  863 clean-am: clean-generic mostlyclean-am
  864 
  865 distclean: distclean-am
  866 	-rm -f Makefile
  867 distclean-am: clean-am distclean-generic
  868 
  869 dvi: dvi-am
  870 
  871 dvi-am:
  872 
  873 html: html-am
  874 
  875 html-am:
  876 
  877 info: info-am
  878 
  879 info-am:
  880 
  881 install-data-am:
  882 
  883 install-dvi: install-dvi-am
  884 
  885 install-dvi-am:
  886 
  887 install-exec-am:
  888 
  889 install-html: install-html-am
  890 
  891 install-html-am:
  892 
  893 install-info: install-info-am
  894 
  895 install-info-am:
  896 
  897 install-man:
  898 
  899 install-pdf: install-pdf-am
  900 
  901 install-pdf-am:
  902 
  903 install-ps: install-ps-am
  904 
  905 install-ps-am:
  906 
  907 installcheck-am:
  908 
  909 maintainer-clean: maintainer-clean-am
  910 	-rm -f Makefile
  911 maintainer-clean-am: distclean-am maintainer-clean-generic
  912 
  913 mostlyclean: mostlyclean-am
  914 
  915 mostlyclean-am: mostlyclean-generic
  916 
  917 pdf: pdf-am
  918 
  919 pdf-am:
  920 
  921 ps: ps-am
  922 
  923 ps-am:
  924 
  925 uninstall-am:
  926 
  927 .MAKE: check-am install-am install-strip
  928 
  929 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  930 	cscopelist-am ctags-am distclean distclean-generic distdir dvi \
  931 	dvi-am html html-am info info-am install install-am \
  932 	install-data install-data-am install-dvi install-dvi-am \
  933 	install-exec install-exec-am install-html install-html-am \
  934 	install-info install-info-am install-man install-pdf \
  935 	install-pdf-am install-ps install-ps-am install-strip \
  936 	installcheck installcheck-am installdirs maintainer-clean \
  937 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  938 	pdf-am ps ps-am recheck tags-am uninstall uninstall-am
  939 
  940 .PRECIOUS: Makefile
  941 
  942 
  943 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  944 # Otherwise a system limit (for SysV at least) may be exceeded.
  945 .NOEXPORT: